"use client"

import { useState } from "react"
import { Button } from "@/components/ui/button"

export function ViewTaxRewards() {
  const [isLoading, setIsLoading] = useState(false)

  const handleViewRewards = async () => {
    setIsLoading(true)
    try {
      // This would be replaced with your actual contract interaction
      // to fetch and display tax rewards
      alert("Tax rewards feature will be implemented here")
    } catch (error) {
      console.error("Error viewing rewards:", error)
      alert("Failed to view rewards. Please try again.")
    } finally {
      setIsLoading(false)
    }
  }

  return (
    <Button
      variant="outline"
      className="bg-purple-500 text-white hover:bg-purple-600 text-xs sm:text-sm md:text-base px-2 py-1 sm:px-3 sm:py-2 font-montserrat tracking-wide"
      onClick={handleViewRewards}
      disabled={isLoading}
    >
      {isLoading ? "Loading..." : "View USDT Tax Rewards"}
    </Button>
  )
}

